From 620f0146218941d2c258f39f5fe06ebb01facf2e Mon Sep 17 00:00:00 2001
From: Bryan Henderson <bryanh@giraffe.netgate.net>
Date: Sun, 17 Nov 1996 03:55:07 +0000
Subject: [PATCH] Fix syntax errors so it runs without error messages.

---
 src/bin/createdb/createdb.sh       | 22 +++++++++++-----------
 src/bin/createuser/createuser.sh   | 22 +++++++++++-----------
 src/bin/destroydb/destroydb.sh     | 20 ++++++++++----------
 src/bin/destroyuser/destroyuser.sh | 22 +++++++++++-----------
 4 files changed, 43 insertions(+), 43 deletions(-)

diff --git a/src/bin/createdb/createdb.sh b/src/bin/createdb/createdb.sh
index 741b34e2ea6..4448eee6705 100644
--- a/src/bin/createdb/createdb.sh
+++ b/src/bin/createdb/createdb.sh
@@ -11,7 +11,7 @@
 #
 #
 # IDENTIFICATION
-#    $Header: /cvsroot/pgsql/src/bin/createdb/Attic/createdb.sh,v 1.5 1996/11/14 10:24:46 bryanh Exp $
+#    $Header: /cvsroot/pgsql/src/bin/createdb/Attic/createdb.sh,v 1.6 1996/11/17 03:54:44 bryanh Exp $
 #
 #-------------------------------------------------------------------------
 
@@ -42,27 +42,27 @@ do
     shift;
 done
 
-if [-z "$AUTHSYS" ]; then
-  AUTHOPT = ""
+if [ -z "$AUTHSYS" ]; then
+  AUTHOPT=""
 else
-  AUTHOPT = "-a $AUTHSYS"
+  AUTHOPT="-a $AUTHSYS"
 fi
 
-if [-z "$PGHOST" ]; then
-  PGHOSTOPT = ""
+if [ -z "$PGHOST" ]; then
+  PGHOSTOPT=""
 else
-  PGHOSTOPT = "-h $PGHOST"
+  PGHOSTOPT="-h $PGHOST"
 fi
 
-if [-z "$PGPORT" ]; then
-  PGPORTOPT = ""
+if [ -z "$PGPORT" ]; then
+  PGPORTOPT=""
 else
-  PGPORTOPT = "-p $PGPORT"
+  PGPORTOPT="-p $PGPORT"
 fi
 
 psql -tq $AUTHOPT $PGHOSTOPT $PGPORTOPT -c "create database $dbname" template1
 
-if [ $? -ne 0 ]
+if [ $? -ne 0 ]; then
     echo "$CMDNAME: database creation failed on $dbname."
     exit 1
 fi
diff --git a/src/bin/createuser/createuser.sh b/src/bin/createuser/createuser.sh
index 5789b72b606..a62509fb7d2 100644
--- a/src/bin/createuser/createuser.sh
+++ b/src/bin/createuser/createuser.sh
@@ -8,7 +8,7 @@
 #
 #
 # IDENTIFICATION
-#    $Header: /cvsroot/pgsql/src/bin/createuser/Attic/createuser.sh,v 1.6 1996/11/14 10:24:54 bryanh Exp $
+#    $Header: /cvsroot/pgsql/src/bin/createuser/Attic/createuser.sh,v 1.7 1996/11/17 03:54:54 bryanh Exp $
 #
 # Note - this should NOT be setuid.
 #
@@ -39,25 +39,25 @@ do
     shift;
 done
 
-if [-z "$AUTHSYS" ]; then
-  AUTHOPT = ""
+if [ -z "$AUTHSYS" ]; then
+  AUTHOPT=""
 else
-  AUTHOPT = "-a $AUTHSYS"
+  AUTHOPT="-a $AUTHSYS"
 fi
 
-if [-z "$PGHOST" ]; then
-  PGHOSTOPT = ""
+if [ -z "$PGHOST" ]; then
+  PGHOSTOPT=""
 else
-  PGHOSTOPT = "-h $PGHOST"
+  PGHOSTOPT="-h $PGHOST"
 fi
 
-if [-z "$PGPORT" ]; then
-  PGPORTOPT = ""
+if [ -z "$PGPORT" ]; then
+  PGPORTOPT=""
 else
-  PGPORTOPT = "-p $PGPORT"
+  PGPORTOPT="-p $PGPORT"
 fi
 
-PARGS="-tq $AUTHOPT $PGHOSTOPT $PGPORTOPT
+PARGS="-tq $AUTHOPT $PGHOSTOPT $PGPORTOPT"
 
 #
 # generate the first part of the actual monitor command
diff --git a/src/bin/destroydb/destroydb.sh b/src/bin/destroydb/destroydb.sh
index e0b0e4256ed..9f863a964fb 100644
--- a/src/bin/destroydb/destroydb.sh
+++ b/src/bin/destroydb/destroydb.sh
@@ -11,7 +11,7 @@
 #
 #
 # IDENTIFICATION
-#    $Header: /cvsroot/pgsql/src/bin/destroydb/Attic/destroydb.sh,v 1.5 1996/11/14 10:25:14 bryanh Exp $
+#    $Header: /cvsroot/pgsql/src/bin/destroydb/Attic/destroydb.sh,v 1.6 1996/11/17 03:54:58 bryanh Exp $
 #
 #-------------------------------------------------------------------------
 
@@ -42,22 +42,22 @@ do
 	shift;
 done
 
-if [-z "$AUTHSYS" ]; then
-  AUTHOPT = ""
+if [ -z "$AUTHSYS" ]; then
+  AUTHOPT=""
 else
-  AUTHOPT = "-a $AUTHSYS"
+  AUTHOPT="-a $AUTHSYS"
 fi
 
-if [-z "$PGHOST" ]; then
-  PGHOSTOPT = ""
+if [ -z "$PGHOST" ]; then
+  PGHOSTOPT=""
 else
-  PGHOSTOPT = "-h $PGHOST"
+  PGHOSTOPT="-h $PGHOST"
 fi
 
-if [-z "$PGPORT" ]; then
-  PGPORTOPT = ""
+if [ -z "$PGPORT" ]; then
+  PGPORTOPT=""
 else
-  PGPORTOPT = "-p $PGPORT"
+  PGPORTOPT="-p $PGPORT"
 fi
 
 psql -tq $AUTHOPT $PGHOSTOPT $PGPORTOPT -c "drop database $dbname" template1
diff --git a/src/bin/destroyuser/destroyuser.sh b/src/bin/destroyuser/destroyuser.sh
index 41d9509c1f9..3fee61559c3 100644
--- a/src/bin/destroyuser/destroyuser.sh
+++ b/src/bin/destroyuser/destroyuser.sh
@@ -8,7 +8,7 @@
 #
 #
 # IDENTIFICATION
-#    $Header: /cvsroot/pgsql/src/bin/destroyuser/Attic/destroyuser.sh,v 1.5 1996/11/14 10:25:19 bryanh Exp $
+#    $Header: /cvsroot/pgsql/src/bin/destroyuser/Attic/destroyuser.sh,v 1.6 1996/11/17 03:55:07 bryanh Exp $
 #
 # Note - this should NOT be setuid.
 #
@@ -39,25 +39,25 @@ do
     shift;
 done
 
-if [-z "$AUTHSYS" ]; then
-  AUTHOPT = ""
+if [ -z "$AUTHSYS" ]; then
+  AUTHOPT=""
 else
-  AUTHOPT = "-a $AUTHSYS"
+  AUTHOPT="-a $AUTHSYS"
 fi
 
-if [-z "$PGHOST" ]; then
-  PGHOSTOPT = ""
+if [ -z "$PGHOST" ]; then
+  PGHOSTOPT=""
 else
-  PGHOSTOPT = "-h $PGHOST"
+  PGHOSTOPT="-h $PGHOST"
 fi
 
-if [-z "$PGPORT" ]; then
-  PGPORTOPT = ""
+if [ -z "$PGPORT" ]; then
+  PGPORTOPT=""
 else
-  PGPORTOPT = "-p $PGPORT"
+  PGPORTOPT="-p $PGPORT"
 fi
 
-PARGS="-tq $AUTHOPT $PGHOSTOPT $PGPORTOPT
+PARGS="-tq $AUTHOPT $PGHOSTOPT $PGPORTOPT"
 
 #
 # generate the first part of the actual monitor command
-- 
GitLab